For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`Endpoint` + `Create` <span className="permission-callout__also">[+1 endpoint](/developers/api-guidelines/permission-endpoints#permission-endpoint-create "This permission also grants 1 other endpoint")</span>
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge> <Badge intent="info">User</Badge></div>
</Info>
Create up to 2,000 endpoints in one request.
Unlike [`POST /api/v1/endpoint`](/developers/api/endpoint/create-endpoint), this bulk endpoint handles multiple endpoints safely in a single request without sequential execution constraints between individual endpoints.
<Note>
Execute bulk operations sequentially - wait for each bulk request to complete before starting the next.
</Note>
If a `sim` object is provided, the specified SIM is assigned to the endpoint and is activated by default.
To assign the SIM without activating it, explicitly set the `activate` property to `false`; omitting it activates the SIM.
When the SIM is activated:
- The SIM enters Factory Test Mode (FTM) if FTM is enabled for the organization.
- Otherwise, it goes directly to **Activated**.
To override this behavior and explicitly set the SIM's status (for example, skip FTM even if it's enabled for your organization), include a `status` object within the `sim` object.
<Warning>
emnify charges for activated SIMs, even if the endpoint status is set to **Disabled**.
</Warning>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
Unlike POST /api/v1/endpoint, this bulk endpoint handles multiple endpoints safely in a single request without sequential execution constraints between individual endpoints.
Execute bulk operations sequentially - wait for each bulk request to complete before starting the next.
If a sim object is provided, the specified SIM is assigned to the endpoint and is activated by default.
To assign the SIM without activating it, explicitly set the activate property to false; omitting it activates the SIM.
When the SIM is activated:
The SIM enters Factory Test Mode (FTM) if FTM is enabled for the organization.
Otherwise, it goes directly to Activated.
To override this behavior and explicitly set the SIM’s status (for example, skip FTM even if it’s enabled for your organization), include a status object within the sim object.
emnify charges for activated SIMs, even if the endpoint status is set to Disabled.